Yuki Platform API Prod

Get All Domains for a Portal

This endpoint allows the retrieval of all domains belonging to a Portal. Ensure you have the necessary permissions before attempting to retrieve the domains list. You should have yukiapi:portal:portals:read and yukiapi:domain:domains:read scopes to access this endpoint.

get
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/domains

Query Parameters

offsetinteger

The number of items to skip before starting to collect the result set

limitinteger

The numbers of items to return

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Paged result of domains

totalItemsinteger

Total number of items available

Example:100

offsetinteger

Current offset in the list

Example:10

limitinteger

Maximum number of items returned

Example:20

itemsarray[object]
Show Child Parameters
 
application/json

Update Domain

This endpoint allows the modification of an existing domain’s details. Ensure you have the necessary permissions before attempting to update a domain. You should have yukiapi:domain:domains:write and yukiapi:domain:domains:update scopes to access this endpoint.

put
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/domains/byName

Query Parameters

domain-namestringrequired

The domain name

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Body

application/json

UpdateDomain

Schema for updating an existing domain.

* Additional properties are NOT allowed.
backOfficeobjectrequired

Back office configuration settings.

Show Child Parameters

Response

Domain updated successfully.

 

Get domain by ID

Retrieves detailed information about a specific domain using its unique identifier. This includes domain metadata, associated companies, and configuration details. You should have yukiapi:domain:domains:read scope to access this endpoint.

get
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/domains/{domain-id}

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

domain-idstringrequired

The domain name

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Domain object

Domain

idstring

Example:e7ff8d6e-d82a-4649-be6e-523db02052d3

namestring

Example:Example Domain

hidstring

Example:abcd1234

typestring

Example:Business

statusstring

The status of the domain for read purposes.

Allowed values:StartupActiveInactiveArchived

Example:Active

countrystring

Example:Netherlands

ownerobject
Show Child Parameters
backofficeobject
Show Child Parameters
commentsstring

Example:No additional comments.

createdDatestring(date-time)

Example:2023-01-01T10:00:00Z

createdBystring

Example:Admin User

modifiedDatestring(date-time)

Example:2023-01-15T15:30:00Z

modifiedBystring

Example:Moderator

lastUserLoginstring(date-time)

Example:2023-01-20T09:00:00Z

lastDocumentUploadstring(date-time)

Example:2023-01-18T14:45:00Z

contractobject
Show Child Parameters
 
application/json

Portal

Operations related to portals

Get Portal info

This endpoint retrieves information about a portal using its unique portal ID. Ensure you have the necessary permissions before accessing this endpoint. You should have yukiapi:portal:portals:read scope to access this endpoint.

get
https://apirest.yukiworks.com/api/v1/portals/{portal-id}

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Portal object

Portal

idstring

The unique ID of the Portal

Example:3afb7b54-6144-4561-9a29-1148006f2375

namestring

Name of the Portal

Example:Example Portal

countrystring

Country of the Portal in ISO-3166 (2 char) format

contactobject

Contact of the Portal

Show Child Parameters
 
application/json